Bug 208530 - Data exported to .CSV file of a CPU Hot Spots snapshot is missing the 'Self time (CPU)' column
Data exported to .CSV file of a CPU Hot Spots snapshot is missing the 'Self t...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Ide
7.1
PC All
: P3 (vote)
: 7.2
Assigned To: Petr Cyhelsky
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 00:55 UTC by hhenrique
Modified: 2012-09-27 15:25 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hhenrique 2012-02-17 00:55:05 UTC
Product Version = NetBeans IDE 7.1 (Build 201112071828)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.6.0_26
Runtime = Java HotSpot(TM) 64-Bit Server VM 20.1-b02

Although the .CSV file's first line has correctly five columns, the following lines with the actual data have only four columns, which seem to be "Hot Spots - Method","Self time [%]","Self time" and "Invocations" in that order. As result, when the file is processed, the "Self time (CPU)" column has the value of "Invocations" column.
Comment 1 Petr Cyhelsky 2012-02-17 07:55:59 UTC
fixed in http://hg.netbeans.org/profiler-main/rev/d11c7af62850
Comment 2 Quality Engineering 2012-02-28 10:50:32 UTC
Integrated into 'main-golden', will be available in build *201202280400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d11c7af62850
User: Petr Cyhelsky <cyhelsky@netbeans.org>
Log: #208530 - Hotspots panel of self-sampled profiling snapshot will now export data from all columns


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo